Intermittent browser_934951_zoom_in_toolbar.js | Uncaught exception - Condition timed out: (function () {

RESOLVED FIXED in Firefox -esr60

Status

()

Firefox
Toolbars and Customization
P3
normal
RESOLVED FIXED
5 years ago
a month ago

People

(Reporter: RyanVM, Assigned: Gijs)

Tracking

(Blocks: 1 bug, {intermittent-failure})

unspecified
Firefox 62
intermittent-failure
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox-esr60 fixed, firefox61 fixed, firefox62 fixed)

Details

(Whiteboard: [Australis:P-][stockwell fixed:other])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Reporter)

Description

5 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=33345900&tree=Mozilla-Inbound

Rev5 MacOSX Mountain Lion 10.8 mozilla-inbound opt test mochitest-browser-chrome on 2014-01-21 11:19:00 PST for push 01d5e4bec3b4
slave: talos-mtnlion-r5-085

11:27:46     INFO -  TEST-START | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js
11:27:46     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Entering test
11:27:46     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Default zoom is 100% for about:mozilla
11:27:46     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Zoom is changed to 110% for about:mozilla
11:27:46     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Default zoom is 100% for about:newtab
11:27:47     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Default zoom is 100% for about:mozilla
11:27:47     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Zoom is changed to 110% for about:mozilla
11:27:47     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Wait for tab event: load
11:27:47     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Tab event received: load
11:27:47     INFO -  TEST-PASS | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Default zoom is 100% for about:home
11:27:52  WARNING -  TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Uncaught exception - Condition timed out: (function () {
11:27:52     INFO -  "use strict";
11:27:52     INFO -      return parseInt(zoomResetButton.label, 10) == 110;
11:27:52     INFO -    })
11:27:52     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Leaving test
11:27:52     INFO -  TEST-INFO | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Cleaning up.
11:27:52     INFO -  TEST-INFO | MEMORY STAT vsize after test: 4230291456
11:27:52     INFO -  TEST-INFO | MEMORY STAT residentFast after test: 547819520
11:27:52     INFO -  TEST-INFO | MEMORY STAT heapAllocated after test: 144919600
11:27:52     INFO -  INFO TEST-END | chrome://mochitests/content/browser/browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | finished in 5489ms
Assignee: nobody → mdeboer
Whiteboard: [Australis:P1]
Status: NEW → ASSIGNED
Mike, bugs need to be in the dependency tree to show up on the dashboard and bug counts.
Blocks: 872617
Comment hidden (Treeherder Robot)
Whiteboard: [Australis:P1] → [Australis:P4]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Whiteboard: [Australis:P4] → [Australis:P-]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Not actively working on this. I'll try to take look at this when I have some cycles free from loop.
Status: ASSIGNED → NEW
Comment hidden (Treeherder Robot)
Assignee: mdeboer → nobody
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 74

2 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3

Comment 75

10 months ago
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=962248&startday=2017-08-21&endday=2017-08-27&tree=all

Comment 76

7 months ago
1 failures in 744 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=962248&startday=2017-11-20&endday=2017-11-26&tree=all

Comment 77

2 months ago
7 failures in 780 pushes (0.009 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 3
* mozilla-inbound: 2
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* windows7-32: 5
* windows10-64: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=962248&startday=2018-04-23&endday=2018-04-29&tree=trunk

Comment 78

2 months ago
23 failures in 551 pushes (0.042 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 8
* mozilla-inbound: 7
* mozilla-central: 5
* try: 2
* mozilla-beta: 1

Platform breakdown:
* windows10-64: 13
* windows7-32: 7
* windows10-64-ccov: 3

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=962248&startday=2018-04-30&endday=2018-05-06&tree=trunk
In the last 7 days there are 31 failures. 
They occur on windows10-64 (debug, pgo), Windows 7 (debug), windows10-64-ccov (debug).
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=177597825&lineNumber=7959
03:20:36     INFO -  344 INFO TEST-PASS | browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Default zoom is 100% for about:home -
03:20:36     INFO -  Buffered messages finished
03:20:36    ERROR -  345 INFO TEST-UNEXPECTED-FAIL | browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js | Uncaught exception - Condition timed out: (function() {
03:20:36     INFO -      return parseInt(zoomResetButton.label, 10) == 110;
03:20:36     INFO -    })
03:20:36     INFO -  346 INFO Leaving test bound
03:20:36     INFO -  347 INFO Cleaning up.
Flags: needinfo?(gijskruitbosch+bugs)
(Assignee)

Comment 80

2 months ago
(In reply to Eliza Balazs [:ebalazs_] from comment #79)
> In the last 7 days there are 31 failures. 
> They occur on windows10-64 (debug, pgo), Windows 7 (debug),
> windows10-64-ccov (debug).
> Recent failure log:
> https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-
> inbound&job_id=177597825&lineNumber=7959
> 03:20:36     INFO -  344 INFO TEST-PASS |
> browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js |
> Default zoom is 100% for about:home -
> 03:20:36     INFO -  Buffered messages finished
> 03:20:36    ERROR -  345 INFO TEST-UNEXPECTED-FAIL |
> browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js |
> Uncaught exception - Condition timed out: (function() {
> 03:20:36     INFO -      return parseInt(zoomResetButton.label, 10) == 110;
> 03:20:36     INFO -    })
> 03:20:36     INFO -  346 INFO Leaving test bound
> 03:20:36     INFO -  347 INFO Cleaning up.

Ugh. This test is awful. I'll just rewrite bits of it and hope it goes away.
Assignee: nobody → gijskruitbosch+bugs
Status: NEW → ASSIGNED
Flags: needinfo?(gijskruitbosch+bugs)
(Assignee)

Updated

2 months ago
Keywords: leave-open
OS: Mac OS X → All
Hardware: x86_64 → All
Comment hidden (mozreview-request)
(Assignee)

Comment 82

2 months ago
mozreview-review
Comment on attachment 8974291 [details]
Bug 962248 - rewrite zoom test to be less terrible,

https://reviewboard.mozilla.org/r/242600/#review248468

::: browser/components/customizableui/test/browser_934951_zoom_in_toolbar.js:8
(Diff revision 1)
>   * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
>  /* eslint-disable mozilla/no-arbitrary-setTimeout */
>  
>  "use strict";
>  
>  const kTimeoutInMS = 20000;

Self-nit: can remove this.
Comment hidden (mozreview-request)

Comment 84

2 months ago
mozreview-review
Comment on attachment 8974291 [details]
Bug 962248 - rewrite zoom test to be less terrible,

https://reviewboard.mozilla.org/r/242600/#review248588

The changes look good. I don't quite see how this will directly resolve the error, but it's worth cleaning up.

::: browser/components/customizableui/test/head.js
(Diff revision 2)
> -function promiseTabHistoryNavigation(aDirection = -1, aConditionFn) {
> -  return new Promise((resolve, reject) => {
> -
> -    let timeoutId = setTimeout(() => {
> -      gBrowser.removeEventListener("pageshow", listener, true);
> -      reject("Pageshow did not happen within " + kTabEventFailureTimeoutInMs + "ms");

Nit: looks like you can remove kTabEventFailureTimeoutInMs.
Attachment #8974291 - Flags: review?(dothayer) → review+
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
(Assignee)

Comment 87

a month ago
(In reply to Doug Thayer [:dthayer] from comment #84)
> The changes look good. I don't quite see how this will directly resolve the
> error, but it's worth cleaning up.

I think some of the promise work around history navigation etc. is a bit dodgy, especially now that some of the content pref service (so full zoom code) operations are more async than they were before. So waiting for the UI to update seems better.

Comment 88

a month ago
Pushed by gijskruitbosch@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/1fb6a87debfa
rewrite zoom test to be less terrible, r=dthayer
(Assignee)

Comment 90

a month ago
This looks to be gone.
Status: ASSIGNED → RESOLVED
Last Resolved: a month ago
status-firefox62: --- → fixed
Keywords: leave-open
Resolution: --- → FIXED
Target Milestone: --- → Firefox 62
(Reporter)

Updated

a month ago
status-firefox61: --- → affected
status-firefox-esr60: --- → affected
(Reporter)

Comment 91

a month ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/2f32dcbc07c2
status-firefox61: affected → fixed
Flags: in-testsuite+

Comment 92

a month ago
32 failures in 660 pushes (0.048 failures/push) were associated with this bug in the last 7 days. 

This is the #45 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* mozilla-inbound: 15
* autoland: 12
* mozilla-central: 4
* try: 1

Platform breakdown:
* windows10-64: 21
* windows7-32: 8
* osx-10-10: 2
* windows10-64-ccov: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=962248&startday=2018-05-07&endday=2018-05-13&tree=trunk
Whiteboard: [Australis:P-] → [Australis:P-][stockwell needswork:owner]
(Assignee)

Comment 93

a month ago
Orangerobot not super helpful here - no failures since the fix landed.
Whiteboard: [Australis:P-][stockwell needswork:owner] → [Australis:P-]
(Reporter)

Comment 94

a month ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-esr60/rev/1496652b66f9
status-firefox-esr60: affected → fixed
Whiteboard: [Australis:P-] → [Australis:P-][stockwell fixed:other]
You need to log in before you can comment on or make changes to this bug.